Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

Create an org-authored review pack

POST/review-packs
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Request body
requiredapplication/json
titlestringrequired
max length 200
descriptionstring
max length 2000
modelstring
max length 120
columnsReviewColumn[]required
min items 1 · max items 32
Show properties
Array of ReviewColumn
indexintegerrequired
min 0
namestringrequired
max length 120
promptstringrequired
max length 4000
Responses
201

Pack created

idstringrequired
titlestringrequired
descriptionstring | null
modelstring | null
columnsReviewColumn[]required
Show properties
Array of ReviewColumn
indexintegerrequired
min 0
namestringrequired
max length 120
promptstringrequired
max length 4000
builtinbooleanrequired

true for Vortex-authored packs shipped with the build

created_atstring<date-time>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST "https://api.seal.nyc/api/v1/review-packs" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "string",
  "description": "string",
  "model": "string",
  "columns": [
    {
      "index": 0,
      "name": "string",
      "prompt": "string"
    }
  ]
}'
Response
{
  "id": "string",
  "title": "string",
  "description": "string",
  "model": "string",
  "columns": [
    {
      "index": 0,
      "name": "string",
      "prompt": "string"
    }
  ],
  "builtin": true,
  "created_at": "2019-08-24T14:15:22Z"
}